#include "common/Hello_USCOREBinding.nsmap"      // XML namespace mapping table (only needed once at the global level)
#include "common/soapHello_USCOREBindingProxy.h" // the proxy class, also #includes "soapH.h" and "soapStub.h"
#include <cstdlib>

// ==================================================================
// main function
// ==================================================================
int main() {
	// define service on client side
	Hello_USCOREBindingProxy service;

	std::string name = "JM";
	std::string greetings;
	
	// call 'sayHello' method of web service
	if (service.sayHello(name, greetings) == SOAP_OK) {
		std::cout << "result  = " << greetings << std::endl;
	} else {
		service.soap_stream_fault(std::cerr);
	}
	
	// delete data and release memory
	service.destroy(); 
	
	exit(EXIT_SUCCESS);
}
